---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetfmodw001.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50CC0, symBinAddr: 0xC3F0, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52C00, symBinAddr: 0xE330, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52FF0, symBinAddr: 0xE720, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53F90, symBinAddr: 0xF6C0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53FA0, symBinAddr: 0xF6D0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x507F0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x507F4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x507F8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50950, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50A08, symBinAddr: 0xC238, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50A0C, symBinAddr: 0xC23C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50A10, symBinAddr: 0xC240, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50A14, symBinAddr: 0xC244, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50A18, symBinAddr: 0xC248, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50A20, symBinAddr: 0xC250, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50A38, symBinAddr: 0xC268, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50A40, symBinAddr: 0xC270, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50A48, symBinAddr: 0xC278, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50A50, symBinAddr: 0xC280, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50A58, symBinAddr: 0xC288, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL6fields, symObjAddr: 0xDEC0, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x9152, offset: 0x9152, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50AA0, symBinAddr: 0xC290, symSize: 0x0 }
  - { offsetInCU: 0x916B, offset: 0x916B, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50AA8, symBinAddr: 0xC298, symSize: 0x0 }
  - { offsetInCU: 0x9184, offset: 0x9184, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50AB8, symBinAddr: 0xC2A8, symSize: 0x0 }
  - { offsetInCU: 0x91A4, offset: 0x91A4, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50AC0, symBinAddr: 0xC2B0, symSize: 0x0 }
  - { offsetInCU: 0x91F6, offset: 0x91F6, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4540, symSize: 0x80 }
  - { offsetInCU: 0x928B, offset: 0x928B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4490, symSize: 0xB0 }
  - { offsetInCU: 0x92E6, offset: 0x92E6, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4390, symSize: 0x100 }
  - { offsetInCU: 0x9579, offset: 0x9579, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x45C0, symSize: 0x220 }
  - { offsetInCU: 0x975E, offset: 0x975E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x47E0, symSize: 0xA0 }
  - { offsetInCU: 0x9811, offset: 0x9811, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4880, symSize: 0x110 }
  - { offsetInCU: 0x9907, offset: 0x9907, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4990, symSize: 0x150 }
  - { offsetInCU: 0x9A63, offset: 0x9A63, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4AE0, symSize: 0x30 }
  - { offsetInCU: 0x9B44, offset: 0x9B44, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4B10, symSize: 0x150 }
  - { offsetInCU: 0x9D3C, offset: 0x9D3C, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4C60, symSize: 0x160 }
  - { offsetInCU: 0x9EC8, offset: 0x9EC8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4DC0, symSize: 0x1B0 }
  - { offsetInCU: 0xA0E3, offset: 0xA0E3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4F70, symSize: 0xA0 }
  - { offsetInCU: 0xA1B2, offset: 0xA1B2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x5010, symSize: 0x20 }
  - { offsetInCU: 0xA1E9, offset: 0xA1E9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x5030, symSize: 0x20 }
  - { offsetInCU: 0xA220, offset: 0xA220, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x5050, symSize: 0x20 }
  - { offsetInCU: 0xA38F, offset: 0xA38F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x5070, symSize: 0x1A0 }
  - { offsetInCU: 0xA6B5, offset: 0xA6B5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5210, symSize: 0x80 }
  - { offsetInCU: 0xA77E, offset: 0xA77E, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5290, symSize: 0x6A0 }
  - { offsetInCU: 0xB313, offset: 0xB313, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA0B0, symBinAddr: 0x64D0, symSize: 0xB0 }
  - { offsetInCU: 0xB38A, offset: 0xB38A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5930, symSize: 0x70 }
  - { offsetInCU: 0xB446, offset: 0xB446, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x59A0, symSize: 0xA0 }
  - { offsetInCU: 0xB571, offset: 0xB571, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5A40, symSize: 0x40 }
  - { offsetInCU: 0xB667, offset: 0xB667, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5A80, symSize: 0x2B0 }
  - { offsetInCU: 0xBA0D, offset: 0xBA0D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5D30, symSize: 0xC0 }
  - { offsetInCU: 0xBB53, offset: 0xBB53, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5DF0, symSize: 0x10 }
  - { offsetInCU: 0xBC15, offset: 0xBC15, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5E00, symSize: 0x220 }
  - { offsetInCU: 0xBF12, offset: 0xBF12, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x6020, symSize: 0x10 }
  - { offsetInCU: 0xBF68, offset: 0xBF68, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x6030, symSize: 0x170 }
  - { offsetInCU: 0xC189, offset: 0xC189, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D80, symBinAddr: 0x61A0, symSize: 0x10 }
  - { offsetInCU: 0xC20B, offset: 0xC20B, size: 0x8, addend: 0x0, symName: _setWatch, symObjAddr: 0x9D90, symBinAddr: 0x61B0, symSize: 0xE0 }
  - { offsetInCU: 0xC3B3, offset: 0xC3B3, size: 0x8, addend: 0x0, symName: _FieldModification, symObjAddr: 0x9E70, symBinAddr: 0x6290, symSize: 0x160 }
  - { offsetInCU: 0xC5DD, offset: 0xC5DD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldModificationWatch_setfmodw001_setWatch, symObjAddr: 0x9FD0, symBinAddr: 0x63F0, symSize: 0x10 }
  - { offsetInCU: 0xC670, offset: 0xC670, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldModificationWatch_setfmodw001_touchfld0, symObjAddr: 0x9FE0, symBinAddr: 0x6400, symSize: 0x40 }
  - { offsetInCU: 0xC712, offset: 0xC712, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldModificationWatch_setfmodw001_check, symObjAddr: 0xA020, symBinAddr: 0x6440, symSize: 0x80 }
  - { offsetInCU: 0xC773, offset: 0xC773, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldModificationWatch_setfmodw001_getRes, symObjAddr: 0xA0A0, symBinAddr: 0x64C0, symSize: 0x10 }
  - { offsetInCU: 0xC7A8, offset: 0xC7A8, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA160, symBinAddr: 0x6580, symSize: 0x36A }
...
